Subject: bug#37530: 26.1; Tack characters translated incorrectly

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 27 Sep 2019 15:50:47 +0200

Eli Zaretskii <[email-masked]> writes:

> Sorry, this is not enough.  We cannot blindly use some alternative
> source, especially as the other source was determined to be
> inaccurate.  How do we know that header file is accurate?  (And what
> is the license of that file, btw?)

The X license.

> I'd like someone to do the research and find out why Markus Kuhn's
> suggestions were changed.  I'd like also to state the source of the
> data and the information about the change reason(s) in x-win.el, where
> we have the mapping.

If somebody wants to do that research, be my guest.  I don't see the
point -- this is the data the X server uses, so it's authoritative.

>> In addition, there's a huge number of keysyms in that file that we do
>> not do mappings to characters for.  Hm...  but those are all over
>> #x1000174, so I guess they're mapped to Unicode code points directly?
>> 
>> 	  /* Keysyms directly mapped to Unicode characters.  */
>> 	  if (keysym >= 0x01000000 && keysym <= 0x0110FFFF)
>
> To answer the question, one needs to compare the keysyms with the
> corresponding codepoints.  If they are identical, then the mapping is
> trivial.

I don't understand what you mean.  The comment says that the keysyms in
the 0x01000000 to 0x0110FFFF range map directly to code points.  What is
there to compare?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no